### Virtual Method

# Gio TlsDatabase lookup_certificates_issued_by

since: 2.30

#### Declaration

    GList*
    lookup_certificates_issued_by (
      GTlsDatabase* self,
      GByteArray* issuer_raw_dn,
      GTlsInteraction* interaction,
      GTlsDatabaseLookupFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Look up certificates issued by this issuer in the database.

This function can block, use `g_tls_database_lookup_certificates_issued_by_async()` to perform the lookup operation asynchronously.

Available since: 2.30

#### Parameters

`issuer_raw_dn`

  Type: An array of `guint8`

  A `GByteArray` which holds the DER encoded issuer DN.

  The data is owned by the caller of the function.

`interaction`

  Type: `GTlsInteraction`

  Used to interact with the user if necessary.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GTlsDatabaseLookupFlags`

  Flags which affect the lookup operation.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GTlsCertificate*`

A newly allocated list of `GTlsCertificate` objects. Use `g_object_unref()` on each certificate, and `g_list_free()` on the release the list.

The caller of the function takes ownership of the data, and is responsible for freeing it.